> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the status of an email



## OpenAPI

````yaml put /admin/email/status/{email_id}/update
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/email/status/{email_id}/update:
    put:
      tags:
        - Email manager
      summary: Update the status of an email
      operationId: 623795b9586d713f9260b5b8a44db7c2
      parameters:
        - name: email_id
          in: path
          description: The id of the email
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: The status of the operation
                    type: string
                  status:
                    description: The new status of the email
                    type: string
                type: object
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Error message
                    type: string
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````